<bugID>941250<Summary>add an "other stuff I don't use much" button to the main menu</Summary><Description>Bug 941002 caused me to think about the larger discovery issues in the GUI here and I think there's a simple and obvious solution: add an "other stuff I don't use much" button to the main menu. Just label it "more" or something generic and make it a sub-menu listing everything else that's not somewhere else in the interface already (i.e. the entire contents of the customize pane).

I use the developer tools once every blue moon, but when I do need them I don't think I should have to customize the interface to gain access or be forced into using the old-style menu bar to get at it.</Description></bugID>